Reply
Thread Tools
free's Avatar
Posts: 739 | Thanked: 159 times | Joined on Sep 2007 @ Germany - Munich
#1
Tried to find the sources but didn't manage.
Having multiple repositories but no packages.maemo.org search doesn't help. Gronmayer also doesn't have a clue.

Anybody has it or mirrored it?

Thanks
 
Posts: 2,152 | Thanked: 1,490 times | Joined on Jan 2006 @ Czech Republic
#2
http://repository.maemo.org/pool/os2...-source-rx-34/
__________________
Newbies click here before posting. Thanks.

If you really need to PM me with troubleshooting question please consider posting it to the forum instead. It is OK to PM me a link to such post then. Thank you.
 

The Following User Says Thank You to fanoush For This Useful Post:
free's Avatar
Posts: 739 | Thanked: 159 times | Joined on Sep 2007 @ Germany - Munich
#3
Thanks

Do you know then what is the package rx-34-kernel?

From the README:
This package provides flashable kernel image and header files
for Nokia n800 and n810.

Ed Bartosh
Which is supposed to be built using:
kernel-source-rx-34

edit: I answer to myself
Probably packages not done of the files you mentioned above.

Last edited by free; 2008-01-08 at 20:07.
 
free's Avatar
Posts: 739 | Thanked: 159 times | Joined on Sep 2007 @ Germany - Munich
#4
And now, I have the following question:

Where is the default configuration?
The one stored seems not to be the one running (no Network, no Touchscreen,USB PS/2 mouse??).

I'll get my device back tomorrow so I'll be able to compare but it doesn't look the good configuration.
 
Posts: 2,152 | Thanked: 1,490 times | Joined on Jan 2006 @ Czech Republic
#5
make nokia_2420_defconfig
http://maemo.org/development/documen...for_maemo.html
maemo.org site has search feature too ;-) was a first hit when searched for 'kernel'
__________________
Newbies click here before posting. Thanks.

If you really need to PM me with troubleshooting question please consider posting it to the forum instead. It is OK to PM me a link to such post then. Thank you.
 

The Following User Says Thank You to fanoush For This Useful Post:
free's Avatar
Posts: 739 | Thanked: 159 times | Joined on Sep 2007 @ Germany - Munich
#6
Originally Posted by fanoush View Post
maemo.org site has search feature too ;-) was a first hit when searched for 'kernel'
Oki thanks a lot though. I needed an expert eye! (well, I have to find an excuse now.. )

Great great great!!!
Ready to brick my device now!
 
free's Avatar
Posts: 739 | Thanked: 159 times | Joined on Sep 2007 @ Germany - Munich
#7
What MagicSysReq are enabled?
Humm I wonder how to get there!?

On the wiki I wonder why they tell you to edit .config and then make oldconfig..
Why not making directly make config? Humm

Btw, I tried make xconfig using my qtlib but doesn't work yet, doesn't find the qtlibs.. have to track this down.. Would be good to have a graphical configurator rather than step by step no backward stuff.
 
Posts: 2,152 | Thanked: 1,490 times | Joined on Jan 2006 @ Czech Republic
#8
you can get 'make menuconfig' working inside scratchbox with this tweak
Code:
--- kernel-source-rx-34-2.6.21.0-osso71/scripts/kconfig/lxdialog/check-lxdialog.sh      2007-04-26 05:08:32.000000000 +0200
+++ kernel-source-rx-34-2.6.21.0-osso71.my/scripts/kconfig/lxdialog/check-lxdialog.sh   2008-01-04 21:07:03.000000000 +0100
@@ -9,11 +9,11 @@
                echo '-lncursesw'
                exit
        fi
-       $cc -print-file-name=libncurses.so | grep -q /
-       if [ $? -eq 0 ]; then
+#      $cc -print-file-name=libncurses.so | grep -q /
+#      if [ $? -eq 0 ]; then
                echo '-lncurses'
                exit
-       fi
+#      fi
        $cc -print-file-name=libcurses.so | grep -q /
        if [ $? -eq 0 ]; then
                echo '-lcurses'
or you can do the 'make <whatever>config' step outside of scratchbox
__________________
Newbies click here before posting. Thanks.

If you really need to PM me with troubleshooting question please consider posting it to the forum instead. It is OK to PM me a link to such post then. Thank you.
 

The Following 3 Users Say Thank You to fanoush For This Useful Post:
free's Avatar
Posts: 739 | Thanked: 159 times | Joined on Sep 2007 @ Germany - Munich
#9
Thanks for that. menuconfig is what I prefer because you can go back and forth and you have search. This will be usefull.
 
Reply


 
Forum Jump


All times are GMT. The time now is 02:37.